﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Windows.Forms;
using RootPro.RootProCAD;
using RootPro.RootProCAD.Command;
using RootPro.RootProCAD.Geometry;
using RootPro.RootProCAD.UI;

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// このサンプルは、図面にある作図部品を使ってアニメーションを行います。
// 一定の時間ごとに、配置した作図部品を移動させながら、レイヤの表示状態を切り替えることで
// アニメーションのように見せています。
//
// Copyright @ 2014 RootPro Co.,Ltd.
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

namespace RCAddInRocketAnimationCS
{
    [System.AddIn.AddIn("AppAddIn", Version = "1.0", Publisher = "", Description = "")]
    public partial class AppAddIn
    {
        private void AppAddIn_Startup(object sender, EventArgs e)
        {
            // コマンドをメニューに登録
            RootPro.RootProCAD.Command.MacroCommandCallback mc = Macro;
            CommandManager.AddMacroCommand("ロケット発射", mc);
        }

        private void AppAddIn_Shutdown(object sender, EventArgs e)
        {
            CommandManager.RemoveMacroCommand(Macro); // 追加したコマンド関数
        }

        #region VSTA generated code
        private void InternalStartup()
        {
            this.Startup += new System.EventHandler(AppAddIn_Startup);
            this.Shutdown += new System.EventHandler(AppAddIn_Shutdown);
        }
        #endregion

        public void Macro()
        {
            // フォームを表示する
            Form1 form = new Form1(Application);
            form.ShowDialog();

            // リソースを解放
            form.Dispose();
        }
    }
}
